problema upgrade di php-mysql

Fabio Tonti fabio a pensareweb.it
Ven 30 Set 2005 19:27:28 CEST


Ciao, spero non sia troppo OT.
sto impazzendo da ore per un problema apparentemente stupido:
avevo un server funzionante con queste caratteristiche 
freebsd 5.3 con apache 1.3.22, mysql server e client 4.1, mod_php4.3.9 e
php-mysql4.3.9 

Ho dovuto aggiornare la configurazione di mod_php con la seguente
configurazione
./configure --with-mysql --enable-versioning --enable-memory-limit
--with-layout=GNU --with-config-file-scan-dir=/usr/local/etc/php
--with-regex=php --disable-cli --with-apxs=/usr/local/sbin/apxs
--disable-ipv6 --prefix=/usr/local i386-portbld-freebsd5.3 --with-gd
--with-freetype-dir=/usr/local/lib --with-jpeg-dir=/usr/local/lib
--with-zlib-dir=/usr/src/lib/ --enable-session

Nel frattempo il port  diventato mod_php4.4 e di conseguenza anche
php-mysql4.4
Ora, php funziona di nuovo, le nuove funzioni (librerie e altro) di php
funzionano tutte, ma 
il problema  che, in tutti i modi possibili, la connessione con mysql non
la fa, mi ritorna una pagina bianca (senza errori) in tutte le pagine dove
php trova il comando mysql_connect() o mysql_pconnect().

L'unico elemento strano  che in phpinfo() trovo sotto mysql
Client API version  3.23.49  (ma dovrebbe essere 4.1.xx), ma anche facendo
una connessione ad un mysql server 3.23 ho lo stesso errore.

Google non mi ha aiutato, gufi.org nemmeno (per ora)

Grazie a tutti coloro che mi vorranno rispondere.

..................
Fabio Tonti
PENSARE WEB
via Macanno 38/Q
47900 Rimini RN
www.pensareweb.it
SKYPE: pensareweb
..................



Maggiori informazioni sulla lista aiuto